- HTTP request
- Path parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- InlineSource
- IngestionStatsEvent
Full name: projects.locations.instances.forwarders.importStatsEvents
forwarders.importStatsEvents imports stats events from a forwarder.
HTTP request
POST https://{endpoint}/v1beta/{name}:importStatsEvents
Where {endpoint} is one of the supported service endpoints.
Path parameters
| Parameters | |
|---|---|
name |
Required. The ID of the forwarder. Format: projects/{project}/locations/{location}/instances/{instance}/forwarders/{forwarder} |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{
// The following is a list of mutually exclusive fields. At most one of the
// fields will be set in a response:
"inlineSource": {
object ( |
| Fields | |
|---|---|
| The source of the events to be imported. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response: | |
inlineSource |
StatsEvents to be imported are specified inline. |
| End of mutually exclusive fields. | |
Response body
If successful, the response body is empty.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/chronicle
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the name resource:
chronicle.forwarders.importStatsEvents
For more information, see the IAM documentation.
InlineSource
An import source with the events to import included inline.
| JSON representation |
|---|
{
"events": [
{
object ( |
| Fields | |
|---|---|
events[] |
Required. The events being imported. |
eventBatchId |
Required. Batch Id to use when ingesting StatsEvents. A base64-encoded string. |
IngestionStatsEvent
message to represent the stats related event forwarder will send.
| JSON representation |
|---|
{ "eventTime": string, // The following is a list of mutually exclusive fields. At most one of the // fields will be set in a response: "stats": { object ( |
| Fields | |
|---|---|
eventTime |
Required. The timestamp of the event. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
| The stats event to be imported, either StatsEvent or AgentStatsEvent. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response: | |
stats |
StatsEvent generated by the forwarder. |
agentStats |
AgentStatsEvent generated by the collection agent. |
| End of mutually exclusive fields. | |